Projects
Projects
GET
/
projects
Projects
curl --request GET \
--url https://demand.researchdesk.com/projects \
--header 'Authorization: <api-key>'import requests
url = "https://demand.researchdesk.com/projects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://demand.researchdesk.com/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_projects": 1,
"page": 1,
"page_size": 50,
"projects": [
{
"id": "c9cf2545-9474-436e-933c-f6dc2cf8a39b",
"account_id": "fcb8f022-87fa-42c4-b08a-816a8de9758c",
"project_manager_id": "44b83408-5091-70ae-5cea-b8045195294d",
"project_name": "5G Network Adoption and Purchasing Decisions",
"project_number": "5G-001",
"session_exclusions": [
"2",
"3",
"4"
],
"business_unit": "27daf638-e54c-4e20-a279-c55bccb6a58d"
}
]
}Rate limit: 10 requests/second
Note: The
GET method returns a list of objects, POST and PATCH accept and return a single object
Query String Parameters (GET)
| Parameter | Description | Required | Example |
|---|---|---|---|
ids | Comma delimited value of the Project IDs being retrieved. | No | ?ids=1,2,3 |
project_manager_ids | Comma delimited value of the Project Manager (User) IDs associated with the Projects being retrieved. | No | ?project_manager_ids=1,2,3 |
page | Integer value of the page being retrieved | No; if omitted, the value defaults to 0. | ?page=2 |
page_size | Integer value dictating the number of objects returned per page. | No; if omitted, the value defaults to 50. | ?page_size=100 |
Project Object Definition
| Parameter | Required for POST | Required for PATCH | Description |
|---|---|---|---|
id | System Assigned | Yes | The ID of the Project object. |
account_id | Yes | No | The ID of the associated Account object. |
project_manager_id | Yes | No | The ID of the associated Project Manager (User) object. |
project_name | Yes | No | The name of the Project; there is no uniqueness constraint. |
project_number | Yes | No | Client project identifier; nonfunctional. |
business_unit | No | No | |
session_exclusions | No | No | List of Project IDs of which sessions will not be allowed in the Project. |
Authorizations
JWT access token sent directly in the Authorization header (no Bearer prefix). Accepted tokens: (1) Cognito JWT from POST /tokens, or (2) WorkOS AuthKit access token issued for your Research Desk organization. POST /tokens still issues Cognito tokens only.
Query Parameters
Comma-delimited list of Project IDs to retrieve.
Comma-delimited list of User IDs to filter projects by project manager.
Page number to retrieve. Defaults to 1.
Number of results per page. Defaults to 50.
Was this page helpful?
Projects
